Summary:     PGP Key signing Robot CA
Name:        robotca
Version:     1.12
Release:     7.pp
License:     GPL
Group:       Applications/Communications
Source0:     http://www.toehold.com/%{name}/%{name}-%{version}.tar.gz
Source1:     %{name}.logrotate
Source2:     procmail.rc
Patch0:      %{name}-%{version}-config.patch
Patch1:      %{name}-%{version}-mailer.patch
Patch2:      %{name}-%{version}-linefeed.patch
URL:         http://www.toehold.com/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Kyle Hasselbacher <kyle@toehold.com>
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Provides:    %{name}.pp
Requires:    perl gnupg > 1.2.2 /usr/bin/gpg /usr/sbin/sendmail
Prereq:      /bin/bash /usr/sbin/useradd /usr/sbin/groupadd
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: perl
ExclusiveOS: linux


%description
Basically, it's a program that signs PGP keys automatically. The
point is only to verify the email address on the key, not to verify
the identity of the email address's owner.
Given a PGP key signed by a Robot CA, you know that the key really
does belong to the email address on it. You know that it's not a key
that someone else phonied up to pretend to be that email address.


%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .mailer
%patch2 -p1 -b .linefeed


%build


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/etc/robotca
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/var/lib/robotca
mkdir -p $RPM_BUILD_ROOT/var/log/robotca
install -m 0755 robotca $RPM_BUILD_ROOT/usr/bin
install -m 0640 robotca.ini $RPM_BUILD_ROOT/etc/robotca/
install -m 0644 $RPM_SOURCE_DIR/robotca.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/robotca
install -m 0640 $RPM_SOURCE_DIR/procmail.rc $RPM_BUILD_ROOT/var/lib/robotca/.procmailrc
echo '1;' > $RPM_BUILD_ROOT/var/lib/robotca/history


%pre
if ! grep robotca /etc/group > /dev/null 2>&1; then
   /usr/sbin/groupadd robotca > /dev/null 2>&1
fi
if ! grep robotca /etc/passwd > /dev/null 2>&1; then
   /usr/sbin/useradd -g robotca -G robotca -d /var/lib/robotca \
        -r -s /bin/bash robotca > /dev/null 2>&1
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc install.html
%config /etc/logrotate.d/*
%dir %attr(750,root,robotca) /etc/robotca
%config(noreplace) %attr(640,root,robotca) /etc/robotca/*
/usr/bin/*
%dir %attr(750,robotca,robotca) /var/lib/robotca
%config(noreplace) %attr(640,robotca,robotca) /var/lib/robotca/.procmailrc
%config(noreplace) %attr(640,robotca,robotca) /var/lib/robotca/history
%dir %attr(750,robotca,robotca) /var/log/robotca


%changelog
* Wed Mar 31 2004 peter.pramberger@1012surf.net
- added patch to send windows formatted (linefeed!) messages back.
- uses unix2dos (optional).

* Sat Mar 06 2004 peter.pramberger@1012surf.net
- new version 1.12
- added patch for configurable mailer

* Fri Feb 27 2004 peter.pramberger@1012surf.net
- added patch to resign keys with expired signatures

* Mon Feb 23 2004 peter.pramberger@1012surf.net
- created

